<?php


namespace HS\IncomingMail;

use Illuminate\Support\Facades\Cache;

trait FetchMailConcurrency
{
    public function mailboxIsBusy()
    {
        return Cache::has($this->mailboxCacheKey());
    }

    public function setMailboxBusy()
    {
        return Cache::put($this->mailboxCacheKey(), true, 60*10); // Set for 10 minutes
    }

    public function setMailboxAvailable()
    {
        return Cache::forget($this->mailboxCacheKey());
    }

    public function mailboxCacheKey()
    {
        return vsprintf('fetchmail:%s', [
            $this->getKey()
        ]);
    }
}
