<?php

namespace HS\Install\Updater\Updates\Tasks;

use Illuminate\Support\Facades\Artisan;
use HS\Install\Updater\Updates\BaseUpdate;

class HelpSpotFiveAutoRules extends BaseUpdate
{
    protected $version = '5.0.0';

    public function run()
    {
        $this->loadDependencies();

        $autoRules = $this->db->table('HS_Automation_Rules')->get();

        foreach($autoRules as $ar) {
            $data = [
                'fDirectOnly' => 0,
                'dtNextRun' => time() + 60, // one minute from now
            ];

            $def = \hs_unserialize($ar->tRuleDef);

            if($def && $def->option_direct_call_only) {
                $data['fDirectOnly'] = 1;
            }

            $this->db->table('HS_Automation_Rules')
                    ->where('xAutoRule', $ar->xAutoRule)
                    ->update($data);
        }
    }

    protected function loadDependencies()
    {
        require_once cBASEPATH.'/helpspot/lib/class.auto.rule.php';
    }
}
