<?php

/*
IMPORTANT

This file needs to be duplicated over to the helpspot.com site whenver changes are made to support the linking feature.
*/

define("lg_tips_header_support", "Customer Support Tip");
define("lg_tips_header_helpspot", "HelpSpot Tip");
define("lg_tips_header_quote", "Quote");
define("lg_tips_twitter", "Share on Twitter");
define("lg_tips_link", "Link to Tip");
define("lg_tips_alltips", "View All Tips");

define("lg_tips", [
    [
        "type" => "support",
        "key" => "great-support",
        "tip" => "Great support is 3 things which are simple to do, but hard to master. <br /><br />1. Bring clarity to confusion <br />2. Be fast in your execution <br />3. Be concise in your replies.",
    ],
    [
        "type" => "support",
        "key" => "stop-appreciating",
        "tip" => "Don't tell customers you appreciate them. It comes off as robotic and inauthentic. Instead, simply tell them thank you, or thank you for [thing they did]. Replace robotic with honest.",
    ],
    [
        "type" => "support",
        "key" => "support-is-marketing",
        "tip" => "Providing great support to your customers isn't an operational expense, it's a marketing expense.",
    ],
    [
        "type" => "support",
        "key" => "front-and-center-support",
        "tip" => "Your support resources should be easy to find for customers. If they aren't, why aren't they? Great support is great marketing, you want your marketing to be widely seen easy to find!",
    ],
    [
        "type" => "support",
        "key" => "promises",
        "tip" => "Never make a promise you can't keep!",
    ],
    [
        "type" => "support",
        "key" => "feedback",
        "tip" => "Words you can try instead of feedback: thoughts, ideas, comments, input",
    ],
    [
        "type" => "support",
        "key" => "screenshots",
        "tip" => "A picture is worth a thousand words. If you find yourself explaining something complex, consider if a screenshot or short video would work better.",
    ],
    [
        "type" => "support",
        "key" => "phone-fear",
        "tip" => "Don't fear the phone. If you're handling a complex issue, a phone call will often be significantly faster than a long email chain.",
    ],
    [
        "type" => "helpspot",
        "key" => "above-inbox-filter",
        "tip" => "Have a filter you use all the time? You can edit the filter and under <b>options</b> force it to display above the default Inbox making it more accessible.",
    ],
    [
        "type" => "helpspot",
        "key" => "default-filter",
        "tip" => "Do you often work out of a filter other than <b>My Queue</b>? If so, in that filter click <b>Options</b> and select <b>Make Default Workspace</b>. Now every time you go to the Workspace you'll go directly there.",
    ],
    [
        "type" => "support",
        "key" => "customer-experience",
        "tip" => "Providing customer support goes beyond answering email. How can you bring your support beyond that?",
    ],
    [
        "type" => "support",
        "key" => "customer-saved",
        "tip" => "A customer saved is a customer earned.",
    ],
    [
        "type" => "support",
        "key" => "heard",
        "tip" => "It's easy to listen, but hard to hear. Make sure you're actually hearing the customers needs.",
    ],
    [
        "type" => "quote",
        "key" => "bill-gates",
        "tip" => '"Your most unhappy customers are your greatest source of learning" &mdash; Bill Gates',
    ],
    [
        "type" => "helpspot",
        "key" => "self-service-start",
        "tip" => "Finding it hard to get your knowledge books built out? Don't start big, pick your top 5 questions and write detailed resposnes to them. After that keep an eye on the Searches/Few Results report and go from there.",
    ],
    [
        "type" => "support",
        "key" => "angry-customers",
        "tip" => "Take a walk before you reply. Ask a colleague to review your reply before sending it. Pass it on to another agent if it's too much.",
    ],
    [
        "type" => "support",
        "key" => "mistakes",
        "tip" => "If you make a mistake with a customer admit it. Being upfront leads to greater trust and loyalty.",
    ],
    [
        "type" => "support",
        "key" => "robot-words",
        "tip" => "Avoid robotic replies. For example, instead of 'I apologize for any inconvience' try 'I know this problem is frustrating and I am very sorry'",
    ],
    [
        "type" => "support",
        "key" => "inconvenience",
        "tip" => "Words you can try instead of inconvenience: trouble, frustration, issue, annoyance",
    ],
    [
        "type" => "support",
        "key" => "greetings",
        "tip" => "Always use the customers name in your email greetings to personalize the message. A small but personal change: Hi! vs Hi Ian!",
    ],
    [
        "type" => "support",
        "key" => "informal",
        "tip" => "In most contexts it's better to lean towards an informal writing style such as using contractions. Your customers will appreciate knowing there's a human on the other end of the line",
    ],
    [
        "type" => "support",
        "key" => "i-dont-know",
        "tip" => "If you don't know the answer, just say ou don't know! Then let the customer know that you're going to find out.",
    ],
    [
        "type" => "support",
        "key" => "critical-thinking",
        "tip" => "Customer feedback requires critical thinking. Sometimes 'I wish you had a register via Google option' actually means your registration process is too burdensome and that's the real issue.",
    ],
    [
        "type" => "support",
        "key" => "other-products",
        "tip" => "It's usually best to at least try and help the customer even if they're asking a question about a product that's not directly your responsibility.",
    ],
    [
        "type" => "quote",
        "key" => "fred-rogers",
        "tip" => '"Life is for service." &mdash; Fred Rogers',
    ],
    [
        "type" => "quote",
        "key" => "gretta-palmer",
        "tip" => '"Happiness is a by-product of an effort to make someone else happy." &mdash; Gretta Palmer',
    ],
    [
        "type" => "quote",
        "key" => "james-penney",
        "tip" => '"Courteous treatment will make a customer a walking advertisement." &mdash; James Cash Penney',
    ],
    [
        "type" => "quote",
        "key" => "maya-angelou",
        "tip" => '"I’ve learned that people will forget what you said, people will forget what you did, but people will never forget how you made them feel." &mdash; Maya Angelou',
    ],
    [
        "type" => "quote",
        "key" => "",
        "tip" => '',
    ],
]);